/*
** This table was originally generated by mt.c.
** These days we modify it manually.
*/

dd      Player_1_hard[] = {
        0x5c161fe4,     /* he_man */
        0x7b7921c3,     /* Steeple Chase (Video Gems) */
        0x02969f95,     /* Mission Survive */
        0xeab1d9d0,     /* Treasure Below */
        0x1f0bb3e0,     /* Eckhard's color test */
        0xe8e9b3c7,     /* Steeple Chase (Video Gems) NTSC (Thomas Jentzsch hack)*/
        0x7babc61b,     /* Mission Survive NTSC (Thomas Jentzsch hack)*/
        0x89a7cc41,     /* Treasure Below NTSC (Thomas Jentzsch hack)*/
        -1
};

dd      NTSC_colours[] = {
        0xfa07aa39,     /* pharhcrs (prevent auto-switch) */
        0x4f40a18e,     /* air_raid (too large) */
        -1
};

dd      PAL_colours[] = {
        0x361c9ac1,     /* Montezuma's Revenge PAL60 (Thomas Jentzsch hack) */
        0xf85c2f45,     /* Cosmic Commuter PAL60 (Thomas Jentzsch hack) */
        0x5260de42,     /* Cat Trax PAL60 (Thomas Jentzsch hack) */
        -1
};

dd	Kool[] = {
	0x6f721775,	/* Kool Aid Man.bin */
	0x75020f32,	/* Kool Aid Man-fix.bin */
	0xd5783d5c,	/* Kool Aid Man-sc.bin */
	-1
};

dd	Boxing[] = {
	0x19d692a0,	/* RealSports Boxing.bin */
	0xb43413a5,	/* RealSports Boxing_(eks).bin */
        0xe514f499,     /* Realsports Boxing (PAL) */
	-1
};

dd	Paddle_0[] = {
	0x56509fed,	/* Action Force - Action Man (Parker Bros) (PAL) [!].bin */
	0x52549f12,	/* Action Force - Action Man (Parker Bros).bin */
	0x8b232fbb,	/* Bachelor Party (Mystique).bin */
	0xd9c47532,	/* Bachelorette Party (Playaround).bin */
	0xf89d2e22,	/* Backgammon (1978) (Atari) (PAL) [!].bin */
	0xe24e8139,	/* Backgammon (1978) (Atari).bin */
	0xaf28b265,	/* Beat 'Em and Eat 'Em (Mystique) [!].bin */
	0x970a7c6c,	/* Blackjack (1977) (Atari) [o].bin */
	0xd3fa0c42,	/* Blackjack (1977) (Atari).bin */
	0x0e18a4ca,	/* Blackjack (32 in 1) (PAL).bin */
	0x01c90f83,	/* Breakout - Breakaway IV (Atari) (1978) [o1].bin */
	0x0f799975,	/* Breakout - Breakaway IV (Atari) (1978) [o2].bin */
	0xf89729af,	/* Breakout - Breakaway IV (Atari) (1978) [t].bin */
	0x74946443,	/* Breakout - Breakaway IV (Atari) (1978).bin */
	0x82a03bb7,	/* Breakout - Breakaway IV (Atari) (PAL) [!].bin */
	0xd8c2d1d3,	/* Bugs.bin */
	0xbbf361b2,	/* Casino - Poker Plus (1978).bin */
	0xed6c5505,	/* Casino (Atari) (PAL) [!].bin */
	0x8cf289e1,	/* Circus Atari (1978) (Atari) (Paddles).bin */
	0x767c52c3,	/* Circus Atari (1978) (Atari) (PAL) [!].bin */
	0xd2d31b9f,	/* Eggomania.bin */
	0x8fc7a660,	/* Encounter at L5.bin */
	0xb1ac01ae,	/* G.I. Joe - Cobra Strike (Parker Bros) [!].bin */
	0x66202e85,	/* Guardian.bin */
	0x492ed335,	/* Kaboom! (Activision) (PAL) [!].bin */
	0xe0e215ef,	/* Kaboom! (CCE).bin */
	0xe65930a1,	/* Kaboom! [o1].bin */
	0xbe6d413b,	/* Kaboom! [o2].bin */
	0xf2d1b43c,	/* Kaboom!.bin */
	0x41167e30,	/* Mondo Pong V1 (Piero Cavina) (PD).bin */
	0x451f45dd,	/* Mondo Pong.bin */
	0xa550e765,	/* Music Machine.bin */
	0xf438f25d,	/* Night Driver (1978) [o].bin */
	0xf2ab3c3b,	/* Night Driver (1978).bin */
	0xa1af9971,	/* Philly Flasher.bin */
	0x17e3509b,	/* Picnic.bin */
	0x1eddbbff,	/* Piece o' Cake.bin */
	0x22965081,	/* Secret Agent (Prototype).bin */
	0x922a0836,	/* Solar Storm.bin */
	0xa914ed81,	/* Starpath - Fireball (PAL).bin */
	0x0ef334f7,	/* Starpath - Fireball (Preview) (PAL).bin */
	0x5192bfbf,	/* Starpath - Fireball (Preview).bin */
	0x136959ff,	/* Starpath - Fireball [a].bin */
	0x19fc874c,	/* Starpath - Fireball.bin */
	0x7f2bee1e,	/* Starpath - Party Mix (1 of 3) (PAL).bin */
	0xf4b12a3e,	/* Starpath - Party Mix (1 of 3).bin */
	0xe3028001,	/* Starpath - Party Mix (2 of 3) (PAL).bin */
	0x1bdbeff7,	/* Starpath - Party Mix (2 of 3).bin */
	0xdc5341c3,	/* Starpath - Party Mix (3 of 3) (PAL).bin */
	0x5ef85036,	/* Starpath - Party Mix (3 of 3).bin */
	0x35d3a20c,	/* Starpath - Party Mix (Preview) (PAL).bin */
	0xc0d6f4e8,	/* Starpath - Party Mix (Preview).bin */
	0x96c728ee,	/* Starpath - Party Mix.bin */
	0xe707a714,	/* Starpath - Sweat! - The Decathalon Game (1 of 2).bin */
	0x6d05e1cb,	/* Starpath - Sweat! - The Decathalon Game (2 of 2).bin */
	0x7ef1a47d,	/* Starpath - Sweat! - The Decathalon Game.bin */
	0xa6c4a5fd,	/* Steeplechase (Sears) [o].bin */
	0x0d6f4f89,	/* Steeplechase (Sears).bin */
	0x2b520955,	/* Super Breakout (1978).bin */
	0x31b91b55,	/* Super Breakout (Atari) (PAL) [!].bin */
	0x9c13d012,	/* Super Breakout (Atari) (PAL) [a].bin */
	0x81bbf60b,	/* Warlords (Atari) (PAL) [!].bin */
	0x65ef1ff1,	/* Warlords.bin */
	0x75a39600,	/* Warplock.bin */
	0x235e3b9c,	/* Breakout_(eks).bin */
	0x545dba81,	/* Night Driver_(eks).bin */
	0x450650d5,	/* Super Breakout_(eks).bin */
        0x9ded5a9c,     /* Blackjack (PAL) */
	-1
};

dd	Paddle_1[] = {
	0x3654b4df,	/* Canyon Bomber (1978) [o].bin */
	0x4d5d81e5,	/* Canyon Bomber (1978).bin */
	0x3e7ece9b,	/* Demons to Diamonds (Atari) (PAL) [!].bin */
	0x69cd3201,	/* Demons to Diamonds (CCE).bin */
	0x7e18d535,	/* Demons to Diamonds.bin */
	0x4103ddc3,	/* Star Wars - Jedi Arena (Parker Bros) (PAL) [!].bin */
	0xa4809298,	/* Star Wars - Jedi Arena (Parker Bros).bin */
	0x3b5d801a,	/* Street Racer - Speedway II (1978) (Atari) [o].bin */
	0x131e9db3,	/* Street Racer - Speedway II (1978) (Atari).bin */
	0xd966099e,	/* Video Olympics - Pong Sports (1977) (Atari) [o].bin */
	0xeb148808,	/* Video Olympics - Pong Sports (1977) (Atari).bin */
	0x878d33f5,	/* Video Olympics (Atari) (PAL) [!].bin */
	0x88e40492,	/* Street Racer_(eks).bin */
	-1
};

dd	Paddle_3[] = {
	0x8c2f6264,	/* Tac Scan (Sega).bin */
	-1
};

dd	MPdir_1[] = {
	0x8b232fbb,	/* Bachelor Party (Mystique).bin */
	0xd9c47532,	/* Bachelorette Party (Playaround).bin */
	0x970a7c6c,	/* Blackjack (1977) (Atari) [o].bin */
	0xd3fa0c42,	/* Blackjack (1977) (Atari).bin */
	0x0e18a4ca,	/* Blackjack (32 in 1) (PAL).bin */
	0xbbf361b2,	/* Casino - Poker Plus (1978).bin */
	0xed6c5505,	/* Casino (Atari) (PAL) [!].bin */
	0xdc5341c3,	/* Starpath - Party Mix (3 of 3) (PAL).bin */
	0x5ef85036,	/* Starpath - Party Mix (3 of 3).bin */
	0xa6c4a5fd,	/* Steeplechase (Sears) [o].bin */
	0x0d6f4f89,	/* Steeplechase (Sears).bin */
        0x9ded5a9c,     /* Blackjack (PAL) */
	-1
};

dd	MPdir_3[] = {
	0xf89d2e22,	/* Backgammon (1978) (Atari) (PAL) [!].bin */
	0xe24e8139,	/* Backgammon (1978) (Atari).bin */
	0x3654b4df,	/* Canyon Bomber (1978) [o].bin */
	0x4d5d81e5,	/* Canyon Bomber (1978).bin */
	0x41167e30,	/* Mondo Pong V1 (Piero Cavina) (PD).bin */
	0x451f45dd,	/* Mondo Pong.bin */
	0xe707a714,	/* Starpath - Sweat! - The Decathalon Game (1 of 2).bin */
	0xd966099e,	/* Video Olympics - Pong Sports (1977) (Atari) [o].bin */
	0xeb148808,	/* Video Olympics - Pong Sports (1977) (Atari).bin */
	0x878d33f5,	/* Video Olympics (Atari) (PAL) [!].bin */
	-1
};

dd	be_quiet[] = {
	0xefe8731d,	/* 3-D Tic-Tac-Toe (1978) (Atari) (PAL) [!].bin */
	0xb98f339e,	/* 3-D Tic-Tac-Toe (1978) (Atari).bin */
	0x615c35ce,	/* 3-D Tic-Tac-Toe (1978) [o].bin */
	0x95cce9d9,	/* 3-D Tic-Tac-Toe (32 in 1) (PAL).bin */
	0xe5005de9,	/* Boxing (32 in 1) (PAL).bin */
	0x941609f0,	/* Boxing (Activision) (PAL) [!].bin */
	0xa52b7e12,	/* Boxing (Activision) [!].bin */
	0xdebe335c,	/* Boxing (Activision) [o1].bin */
	0x0a3963d8,	/* Boxing (Activision) [o2].bin */
	0xbbf361b2,	/* Casino - Poker Plus (1978).bin */
	0xed6c5505,	/* Casino (Atari) (PAL) [!].bin */
	0xaebfd482,	/* Dice Puzzle.bin */
	0xa9257db6,	/* Double Dragon (CCE).bin */
	0x8fd51b6b,	/* Double Dragon.bin */
	0x218f7846,	/* Home Run Baseball (1978) [o].bin */
	0x06e5d652,	/* Home Run Baseball (1978).bin */
	0x9a312287,	/* Home Run Baseball (32 in 1) (PAL).bin */
	0xd2ea2084,	/* Slot Machine (32 in 1) (PAL).bin */
	0x1c66fc86,	/* Slot Machine (AKA Slots) [a].bin */
	0x71810e32,	/* Slot Machine (AKA Slots).bin */
	0x7c0356ab,	/* Stampede (32 in 1) (PAL).bin */
	0xcaed83fd,	/* Stampede (Activision) [!].bin */
	0xf9f931d0,	/* Stampede [o1].bin */
	0x901bc1dc,	/* Stampede [o2].bin */
	0x26e0434c,	/* Video Checkers (1978).bin */
	0x1d376918,	/* Video Chess (1978).bin */
	0xbe65f786,	/* Video Chess (Atari) (PAL) [!].bin */
        0x5e2f0799,     /* Double Dragon (PAL) */
	-1
};

dd	joy_rev[] = {
	0x7b4eb49c,	/* Pick 'n Pile.bin */
	0xe2134ede,	/* Raiders of the Lost Ark (Atari) (PAL) [!].bin */
	0x0eb247a3,	/* Raiders of the Lost Ark (Atari).bin */
	0xbcb42d2b,	/* Traffic.bin */
	-1
};

dd	keypad_3[] = {
	0x569bcd98,	/* Alpha Beam with Ernie (Atari) (PAL) [!].bin */
	0x9a1a860b,	/* Alpha Beam with Ernie (Atari).bin */
	0x98efb758,	/* Basic Programming (1978) (Atari).bin */
	0x30f80509,	/* Big Bird's Egg Catch (Atari) (PAL) [!].bin */
	0xf57c88c7,	/* Big Bird's Egg Catch (Atari).bin */
	0xa13e9a41,	/* Brain Games (Atari) (PAL) [!].bin */
	0xa070e611,	/* Brain Games (Atari) [o].bin */
	0x27ff9feb,	/* Brain Games (Atari).bin */
	0x12fc4f0e,	/* Code Breaker (1978) [o].bin */
	0x33eab939,	/* Code Breaker (1978).bin */
	0x9a997a6a,	/* Code Breaker (Atari) (PAL) [!].bin */
	0xad9d0c8b,	/* Cookie Monster Munch (Atari) (PAL) [!].bin */
	0xdcf49717,	/* Cookie Monster Munch (Prototype) (PAL).bin */
	0x3d4e3a13,	/* Game of Concentration [o].bin */
	0xbb09444c,	/* Game of Concentration.bin */
	0x97a27db8,	/* Grover's Music Maker (Prototype) (PAL).bin */
	0x34ae2945,	/* Magicard (CommaVid).bin */
	0xf1a47d0e,	/* Oscar's Trash Race (Atari) (PAL) [!].bin */
	0x0f76fc86,	/* Oscar's Trash Race (Prototype) (PAL).bin */
	0xc1e0f57f,	/* Basic Programming_(eks).bin */
	0x751a433a,	/* Game of Concentration_(eks).bin */
	0x9afa761f,	/* Magicard (Life).bin */
        0xf777a07d,     /* Holey Moley (Prototype) */
        0xc3e91b95,     /* Peek-A-Boo (Prototype) */
        0x7c384d26,     /* Magicard (example program 1) */
        0x30c54700,     /* Magicard (example program 2) */
        0x5e7a5ac4,     /* Magicard (example program 3) */
        0x27e4a094,     /* Magicard (example program 4) */
        0xf1a0a2bd,     /* Paul Slocum's Synthcart */
	-1
};

dd	keypad_2[] = {
	0x6cd15ce4,	/* Star Raiders (Atari) (PAL) [!].bin */
	0x80c51507,	/* Star Raiders (Atari).bin */
	0x6cd14bf3,	/* Star Raiders_(eks).bin */
	-1
};

dd      driving_con_2[] = {
        0x1a5a782c,     /* Asteroids DC+ (Thomas Jentzsch hack) */
	-1
};

dd      driving_con_3[] = {
	0x8a5cdc67,	/* Indy 500 (1977) (Atari) [h].bin */
	0x40f4dd41,	/* Indy 500 (1977) [o].bin */
	0xf6347068,	/* Indy 500 (1977).bin */
	0x3038f1e5,	/* Indy 500 (Atari) (PAL) [!].bin */
        0x5b9f7df7,     /* Sprint Master DC (Thomas Jentzsch hack) */
	-1
};

dd	BS_1[] = {
	0x34ae2945,	/* Magicard (CommaVid).bin */
	0x30eb4f7a,	/* Video Life (4K).BIN */
	0x9afa761f,	/* Magicard (Life).bin */
	0x266bd1b6,	/* Video Life (CommaVid).bin */
        0xa0899305,     /* Video Life (alternative 2K) */
        0xfbb4ac5f,     /* Video Life (4K) from DP */
        0x7c384d26,     /* Magicard (example program 1) */
        0x30c54700,     /* Magicard (example program 2) */
        0x5e7a5ac4,     /* Magicard (example program 3) */
        0x27e4a094,     /* Magicard (example program 4) */
	-1
};

dd	BS_3[] = {
	0x2843d776,	/* Frogger II - Threedeep!.bin */
	0x690ada72,	/* Gyruss [b].bin */
	0x525ee7e9,	/* Gyruss.bin */
	0x95da4070,	/* James Bond 007 [b].bin */
	0x3216c1bb,	/* James Bond 007.bin */
	0xae4114d8,	/* Montezuma's Revenge.bin */
	0x00e44527,	/* Mr. Do!'s Castle.bin */
	0xf723b8a6,	/* Popeye.bin */
	0xe44c244e,	/* Q-bert's Qubes [a].bin */
	0xb8f2dca6,	/* Q-bert's Qubes.bin */
	0xe77f6742,	/* Star Wars - Death Star Battle (Parker Bros).bin */
	0xce09fcd4,	/* Star Wars - The Arcade Game (Parker Bros).bin */
	0xdd85f0e7,	/* Super Cobra [b].bin */
	0x8d372730,	/* Super Cobra.bin */
	0xd9088807,	/* Tooth Protectors (DSD-Camelot).bin */
	0x7eed7362,	/* Tutankham.bin */
	0xc87fc312,	/* Popeye_(eks).bin */
	0xef3ec01e,	/* Super Cobra_(eks).bin */
	0x84a101d4,	/* Star Wars - Death Star Battle_(eks).bin */
	0x2fc06cb0,	/* Tutankham_(eks).bin */
	0xab50bf11,	/* Star Wars - The Arcade Game (proto).BIN */
        0x549a1b6b,     /* Star Wars - The Arcade Game (PAL) */
        0x36910e4d,     /* Frogger II - Threedeep! (PAL) */
        0xb8bb2361,     /* Gyruss (PAL) */
        0xd3669372,     /* Star Wars: Ewok Adventure (proto) */
        0x6400d110,     /* Lord of the Rings: Journey to Rivendell (proto) */
        0x70db5cca,     /* Ewok Adventure NTSC (Thomas Jentzsch hack) */
        0x361c9ac1,     /* Montezuma's Revenge PAL60 (Thomas Jentzsch hack) */
        -1
};

dd	BS_4[] = {
	0x584f6777,	/* Espial [b].bin */
	0x8d70fa42,	/* Espial.bin */
	0x8beb03d4,	/* Miner 2049er [b1].bin */
	0x33f2856f,	/* Miner 2049er [b2].bin */
	0xf859122e,	/* Miner 2049er Vol. 2 [b1].bin */
	0x281a1ca1,	/* Miner 2049er Vol. 2 [b2].bin */
	0x350c63ba,	/* Miner 2049er Vol. 2.bin */
	0x728b941c,	/* Miner 2049er.bin */
	0x13bf2da3,	/* Polaris [b].bin */
	0x7ce5312e,	/* Polaris.bin */
	0x40706361,	/* River Patrol (Tigervision).bin */
	0x2c34898f,	/* Springer.bin */
        0x09a71583,     /* Miner 2049er PAL */
        0xd5645294,     /* Miner Volume 2 NTSC */
        0x3310b79e,     /* Polaris NTSC ? */
        0x52630ec9,     /* Polaris NTSC (Thomas Jentzsch hack) */
	-1
};

dd	BS_5[] = {
	0x7d23e780,	/* Decathlon.bin */
	0xa51c0236,	/* Robot Tank.bin */
        0xd8ecf576,     /* Decathlon (PAL) */
        0x0e8757b0,     /* Robot Tank (PAL) */
        0x94e8df6b,     /* Space Shuttle (PAL) */
        0xf3a4363c,     /* Thwocker prototype */
        0x0a4d0768,     /* Robot Tank TC (Thomas Jentzsch hack) */
        0xc343187b,     /* Space Shuttle (NTSC) */
	-1
};

dd	BS_9[] = {
	0x6a31beac,	/* Private Eye (CCE).bin */
	0x3fa749c0,	/* Private Eye [b].bin */
	0x33242242,	/* Private Eye.bin */
        0x2956b245,     /* Snow White (proto) */
	-1
};

dd	BS_6[] = {
	0xa972c32b,	/* Dig Dug.bin */
	0x66cdb94b,	/* Off the Wall [o].bin */
	0xbd75d92b,	/* Off the Wall.bin */
	-1
};

dd	BS_7[] = {
	0x8eed6b02,	/* Bump n Jump [b].bin */
	0xd523e776,	/* Bump n Jump.bin */
	0x24c35820,	/* Burgertime.bin */
	0x5c161fe4,	/* Masters of the Universe - The Power of He-Man.bin */
	-1
};

dd      BS_12[] = {
        0x39c892c7,     /* Pleiades prototype */
        0xbc5527e7,     /* Pleiades prototype (fixed) */
        0x2c19c728,     /* Funky Fish prototype */
        -1              /* UA Ltd. prototypes go here */
};

/*
dd	BS_8[] = {
        0xbe1047cf,      Fatal Run (PAL).bin 
	-1
};
*/
